Author Topic: Can't upgrade to php7 veresion  (Read 198 times)

woland255

  • Freshman
  • *
  • Posts: 40
    • View Profile
Can't upgrade to php7 veresion
« on: February 24, 2020, 11:14:32 AM »
Hi. I am trying to upgrade from 3.4.3 to 3.7.2.16.
Php version is 7.1
mysql adapter in config file is modified, but still.... "Error: Extension 'mysql' is not loaded"
I am not an php expert, so please advise on possible source of the problem.

Code: [Select]
[root@fo-test fo]# php public/upgrade/console.php
Config file found and loaded.
File '/config/config.php' exists and is writable
Folder '/config' exists and is writable
Folder '/cache' exists and is writable
Folder '/tmp' exists and is writable
Folder '/upload' exists and is writable
Error: Extension 'mysql' is not loaded
2020-02-24 14:08:44 - Updating plugins...
2020-02-24 14:08:45 - Finished plugins update.
[root@fo-test fo]# php -v
PHP 7.1.33 (cli) (built: Jan 23 2020 09:05:58) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies
[root@fo-test fo]# cat ./config/config.php
<?php
  define
('SEED''opengooAstarta387346015');
  
define('DB_ADAPTER''mysqli');
  
define('DB_HOST''db');
  
define('DB_USER''opengoo');
  
define('DB_PASS''Astarta');
  
define('DB_NAME''opengoo');
  
define('DB_PERSIST'false);
  
define('TABLE_PREFIX''fo_');
  
define('ROOT_URL''http://nas.woland255:9887');
  
define('DEFAULT_LOCALIZATION''en_us');
  
define('DEBUG'true);
  
define('PRODUCT_VERSION''0.9.1');
  
define('DB_CHARSET''utf8');
  
define('COOKIE_PATH''/');
  
define('MYSQLDUMP_COMMAND''/usr/bin/mysqldump');
  
define('BACKUP_FOLDER''/tmp');
  
define('user_email_fetch_account'20);
  
define('PLUGIN_MANAGER'true);
  return 
true;

Thanks a lot!

 

anything